Canalplan Bug Tracker



Anonymous Login
2019-06-20 18:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000222Canalplan [All Projects] Bugpublic2017-02-28 06:30
Reporteruser3 
Assigned ToNick Atty 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version9.29 
Summary0000222: Rotating Photos loses EXIF
DescriptionI loaded a photo which canalplan got the date from using the EXIF.

I rotated it and it decided the date the photo was taken was today.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0000837

Stephen Atty (administrator)

and sometimes when you've rotated them the thumbnail view is wrong:

http://canalplan.org.uk/cgi-bin/gazetteer.cgi?id=d374

my photo is lying on its side.

~0000838

Stephen Atty (administrator)

It looks like if you add a caption then the photo is shown in its original orientation in the thumbnails....

~0000840

Nick Atty (administrator)

I obviously need to give all that code a good going over. At the same time I should be able to use the orientation field in the EXIF from modern devices to auto-rotate in most cases.

But I need to get the re-engineering of the bridge/winding hole data structures completed first: it's harder than I thought (though clearly feasible) and I've not been able to give it the time/energy it needs.

~0000841

Stephen Atty (administrator)

Not a problem - I just wanted to flag it up.

Might also be worth looking at upping the 10MB limit for photos - I had a couple that were just over.

~0000884

Nick Atty (administrator)

Can you send me a photo, or where to find a photo, that does this and I'll experiment with it over the weekend.

Happy to up the photo size, it's a single parameter, what sounds reasonable?

~0000886

Stephen Atty (administrator)

I think this is one of them

~0000887

Stephen Atty (administrator)

Hmm - that one makes mogrify blow up!

~0000888

Nick Atty (administrator)

Even better! It's certainly one that is the right way up in my image viewer but rotated in CanalPlan, so I can use it to look at adding auto-rotate on upload based on the exif.

~0000894

Nick Atty (administrator)

Question: should smaller versions of the photo maintain their exif data, or is it OK to strip it off all but the original (which will be either in "original", "big" or "normal" depending on what size it is)?

The cause of the problem is that I shrink photos using my internal image code which doesn't handle exifs. That's causing this problem and I think the background moving is causing some of the other problems you saw, and I have a fix for those (don't move until photo data is added!).

I've heard arguments for removing exif from published photographs, but on the other hand it's of historical interest (flickr keeps, facebook strips).

~0000897

Stephen Atty (administrator)

I'd be tempted to keep it in - its not like it uses a lot of space

~0000898

Nick Atty (administrator)

Now fixed but not carried over. So wherever the original uploaded photo appears it will keep the exif, but derived versions of it (except for rotations) will not.

At the same time I've added auto-rotate based on exif information if available, but you can still manually rotate if you want and it won't rotate them back again!

~0000960

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-01-01 14:39 user3 New Issue
2017-01-01 14:39 user3 Assigned To => Nick Atty
2017-01-01 14:39 user3 Status new => assigned
2017-01-01 15:54 user3 Note Added: 0000837
2017-01-02 08:33 user3 Note Added: 0000838
2017-01-04 20:54 Nick Atty Note Added: 0000840
2017-01-05 09:40 user3 Note Added: 0000841
2017-01-27 07:05 Nick Atty Note Added: 0000884
2017-01-27 07:26 user3 File Added: IMG_1771.jpg
2017-01-27 07:26 user3 Note Added: 0000886
2017-01-27 07:29 user3 Note Added: 0000887
2017-01-27 07:46 Nick Atty Note Added: 0000888
2017-01-28 07:47 Nick Atty Note Added: 0000894
2017-01-28 09:27 user3 Note Added: 0000897
2017-01-28 15:45 Nick Atty Note Added: 0000898
2017-01-28 15:49 Nick Atty Status assigned => resolved
2017-01-28 15:49 Nick Atty Resolution open => fixed
2017-01-28 15:49 Nick Atty Fixed in Version => 9.29
2017-02-28 06:30 Autoclose Note Added: 0000960
2017-02-28 06:30 Autoclose Status resolved => closed
+Issue History